AVG4(1)

NAME
avg4 - Downfilter an image by simple averaging.

SYNOPSIS
avg4 [ -o outfile ] [ infile ]

DESCRIPTION
Avg4 downfilters an RLE image into a resulting image of 1/4th the size, by simply averaging four pixel values in the input image to produce a single pixel in the output. If the original image does not contain an alpha channel, avg4 creates one by counting the number of non-zero pixels in each group of four input pixels and using the count to produce a coverage value. While the alpha channel produced this way is crude (only four levels of coverage) it is enough to make a noticeable improvement in the edges of composited images.

OPTIONS

infile
    The input will be read from this file, otherwise, input will be taken from stdin.

-o outfile
    If specified, output will be written to this file, otherwise it will go to stdout.

SEE ALSO
fant(1), rlecomp(1), smush(1), urt(1), RLE(5).

AUTHOR
Rod Bogart, John W. Peterson

BUGS
Very simple minded - more elaborate filters could be implemented.